Problème de mise à jour de linux-image-amd64 sur debian 12 bookworm avec pilotes NVIDIA

Tags: #<Tag:0x00007feddbf75e60> #<Tag:0x00007feddbf75c30> #<Tag:0x00007feddbf759b0> #<Tag:0x00007feddbf75848>

Bonjour à tous,

je possède un PC portable récent DELL Precison 5570 équipé d’une carte graphique NVIDIA RTX A2000. Ce matériel est récent (intel 12ème génération) et son support n’est pas parfait, du moins sous Debian 12. En particulier pour ce qui est de l’hibernation qui plante régulièrement dû à la carte graphique, le wifi et le bluetooth ne sont guère mieux.

Les pilotes propriétaires NVIDIA sont installés et utilisés (nvidia-driver).

Pour tenter d’améliorer cela j’ai configuré l’utilisation systématique des backports :

J’ai ajouté dans /etc/apt/sources.list :

deb http://deb.debian.org/debian/ bookworm-backports non-free-firmware main non-free contrib

et créé un fichier /etc/apt/preferences.d/99_bookworm-backports avec :

Package: *
Pin: release n=bookworm-backports
Pin-Priority: 500

Tout allait bien jusqu’à ce que le le noyau Linux soit mis à jour il y a quelques jours (Debian Package Tracker).

La mise à jour a échoué, visiblement à cause du module NVIDIA pour le noyau :

$ apt --fix-broken install
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'état... Fait      
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  linux-headers-6.1.0-11-amd64 linux-headers-6.1.0-11-common linux-image-6.1.0-11-amd64 linux-kbuild-6.1
Veuillez utiliser « sudo apt autoremove » pour les supprimer.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
4 partiellement installés ou enlevés.
Après cette opération, 0 o d'espace disque supplémentaires seront utilisés.
Paramétrage de linux-headers-6.5.0-0.deb12.1-amd64 (6.5.3-1~bpo12+1) ...
/etc/kernel/header_postinst.d/dkms:
dkms: running auto installation service for kernel 6.5.0-0.deb12.1-amd64.
Sign command: /lib/modules/6.5.0-0.deb12.1-amd64/build/scripts/sign-file
Signing key: /var/lib/dkms/mok.key
Public certificate (MOK): /var/lib/dkms/mok.pub

Building module:
Cleaning build area...
env NV_VERBOSE=1 make -j20 modules KERNEL_UNAME=6.5.0-0.deb12.1-amd64......(bad exit status: 2)
Error! Bad return status for module build on kernel: 6.5.0-0.deb12.1-amd64 (x86_64)
Consult /var/lib/dkms/nvidia-current/525.125.06/build/make.log for more information.
Error! One or more modules failed to install during autoinstall.
Refer to previous errors for more information.
dkms: autoinstall for kernel: 6.5.0-0.deb12.1-amd64 failed!
run-parts: /etc/kernel/header_postinst.d/dkms exited with return code 11
Failed to process /etc/kernel/header_postinst.d at /var/lib/dpkg/info/linux-headers-6.5.0-0.deb12.1-amd64.postinst line 11.
dpkg: erreur de traitement du paquet linux-headers-6.5.0-0.deb12.1-amd64 (--configure) :
 le sous-processus paquet linux-headers-6.5.0-0.deb12.1-amd64 script post-installation installé a renvoyé un état de sortie d'erreur 1
Paramétrage de linux-image-6.5.0-0.deb12.1-amd64 (6.5.3-1~bpo12+1) ...
/etc/kernel/postinst.d/dkms:
dkms: running auto installation service for kernel 6.5.0-0.deb12.1-amd64.
Sign command: /lib/modules/6.5.0-0.deb12.1-amd64/build/scripts/sign-file
Signing key: /var/lib/dkms/mok.key
Public certificate (MOK): /var/lib/dkms/mok.pub

Building module:
Cleaning build area...
env NV_VERBOSE=1 make -j20 modules KERNEL_UNAME=6.5.0-0.deb12.1-amd64......(bad exit status: 2)
Error! Bad return status for module build on kernel: 6.5.0-0.deb12.1-amd64 (x86_64)
Consult /var/lib/dkms/nvidia-current/525.125.06/build/make.log for more information.
Error! One or more modules failed to install during autoinstall.
Refer to previous errors for more information.
dkms: autoinstall for kernel: 6.5.0-0.deb12.1-amd64 failed!
run-parts: /etc/kernel/postinst.d/dkms exited with return code 11
dpkg: erreur de traitement du paquet linux-image-6.5.0-0.deb12.1-amd64 (--configure) :
 le sous-processus paquet linux-image-6.5.0-0.deb12.1-amd64 script post-installation installé a renvoyé un état de sortie d'erreur 1
dpkg: des problèmes de dépendances empêchent la configuration de linux-headers-amd64 :
 linux-headers-amd64 dépend de linux-headers-6.5.0-0.deb12.1-amd64 (= 6.5.3-1~bpo12+1); cependant :
 Le paquet linux-headers-6.5.0-0.deb12.1-amd64 n'est pas encore configuré.

dpkg: erreur de traitement du paquet linux-headers-amd64 (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de linux-image-amd64 :
 linux-image-amd64 dépend de linux-image-6.5.0-0.deb12.1-amd64 (= 6.5.3-1~bpo12+1); cependant :
 Le paquet linux-image-6.5.0-0.deb12.1-amd64 n'est pas encore configuré.

dpkg: erreur de traitement du paquet linux-image-amd64 (--configure) :
 problèmes de dépendances - laissé non configuré
Des erreurs ont été rencontrées pendant l'exécution :
 linux-headers-6.5.0-0.deb12.1-amd64
 linux-image-6.5.0-0.deb12.1-amd64
 linux-headers-amd64
 linux-image-amd64
E: Sub-process /usr/bin/dpkg returned an error code (1)

Avez une idée de ce qu’il se passe et de comment y remédier ?
merci par avance …

Hey, voir ca:

ou ca:

Bonne lecture

edit: Sur le site nvdia il y a les pilotes linux, d’apres ce que j’en vois c’est une extension .run

Merci @loicmtp, l’installation des pilotes NVIDIA a été effectuée en utilisant la méthode par paquet issus des dépôts debian de manière parfaitement identique avec celle intitulée « How to install NVIDIA driver using Debian repository step by step instructions » du second tutoriel que tu me proposes.

J’ai déjà un peu détaillé cette installation dans un message destiné à un utilisateur qui avait également des problèmes avec le même modèle d’ordinateur ici : Installation Debian sur portable Dell Precision 5570 - #6 par jsubei34

Je précise que le noyau s’est déjà mis à jour sans problème depuis que cet ordinateur est configuré pour utiliser systématiquement les paquets issus de backports (au mois d’aout par ex: Debian Package Tracker)

Oui je l’ai vu

Je conseille pour nvdia de ne pas s’emm…à installer du non-proprio sauf sur arch où les drivers sont pas mal. Je tends à faire plus confiance aux ingenieurs d’NVDIA. Je dis ca pour Arch car c’est du Rolling donc les dev sont très réactifs

Oui, c’est bien ce que j’avais compris, et c’est pour cela que ce sont bien les pilotes propriétaires que j’ai installé (Debian -- Détails du paquet nvidia-driver dans bookworm).

Mais là je ne comprends pas ce qu’il se passe …

Ah oui, mais non, c’est un ordinateur de boulot, je ne peux pas commencer à faire des installations ésotériques hors dépôts debian !

Il me semble qu’il y a deux possibilités :

  • Cette installation a un problème, et je souhaiterai le résoudre
  • Il y a un problème dans les dépôts debian, et je le fais remonter

C’est évident que la première possibilité est hautement plus probable que la seconde !

Faites une image live d’ubuntu redemarrez votre ordi et investiguez le driver utilisé par canonical et installez le

Oui, c’est effectivement une possibilité, peut-être pas très simple cependant. En gros cela revient à faire l’hypothèse que le driver NVIDIA est plus récent côté ubuntu et de fait « compatible » avec le noyau 6.5 disponible dans le dépôt backports debian, c’est bien cela ?
Cela ne revient-il pas à dire qu’il y a un problème dans le dépôt backport de debian si ils y proposent un noyau qui n’est pas « compatible » avec certains paquets de la distribution ?

La rolling chez debian est Sid
Si driver à jour il y a c’est dans les repos Sid
Sinon pour la reactivité sur la Stable…je ne sais pas…mais par experience sur d’autres questions…j’en doute
Et en effet chez Canonical ils sont très réactifs

Merci @loicmtp, je ne souhaite pas trop m’aventurer hors de la stable, comme c’est dans un contexte professionnel, contraint. Et Canonical ce n’est pas trop ma tasse de thé.

Après dans les messages de
/var/lib/dkms/nvidia-current/525.125.06/build/make.log
j’ai repéré ceci comme première erreur :
error: too many arguments to function ‘get_user_pages’

Ce qui, après recherche, me renvoie vers : Bug #2032796 “nvidia-dkms-525-server FTBS with linux 6.5 on mant...” : Bugs : nvidia-graphics-drivers-525-server package : Ubuntu

Donc une version ubuntu, avec une demande de fix :
Patch nvidia-dkms-525-server to support the new kernel ABI introduced in linux 6.5.

Après je ne sais pas ce qu’est un « kernel ABI », mais bon j’image que c’est une version donnée de protocole d’accès aux fonctions du noyau.

Du coup je ne sais toujours pas si c’est ma configuration qui est en cause ou si je dois le signaler à l’équipe « debian-kernel » (Debian Mailing Lists -- Index for debian-kernel) ???

Ce n’est pas une bonne idée de mettre tout en backport. Autant utiliser SID directement.
Les backports c’est pour installer des soft au choix, mais en gardant la structure de la stable pour tout le reste.

Comme un autre utilisateur, @limax , sur ce forum pour un driver d’imprimante j’aurais, si j’avais ete vous, installé le driver officiel nvdia.

La morale de votre histoire est dans le « Chat de Schroedinger »

Oui en effet le driver nvidia dans les dépôts stable n’est pas compatible avec le noyau 6.5.

Deux solutions :

  • revenir sur le noyau 6.1 de stable
  • Utiliser un driver plus récent que 535.86.05, mais qui du coup n est dans aucun dépôt debian.

salut,
pour l’hibernation, quel est la taille de ton swap et ta mémoire vive?